Subject: Re: BUG: False input = CRASH!
From: [email-masked]

20 Jul 1998 09:10:45 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: MULTIPART/MIXED; BOUNDARY="Boundary_(ID_c89OHaCWdv+TEWMJt07r+g)"
To: [email-masked]

--Boundary_(ID_c89OHaCWdv+TEWMJt07r+g)
Content-type: TEXT/PLAIN

Zyrain wrote:

#I, and others, have found that if you input a wrong command (ie, put
#anything other than a command) Cygnus32 will hang the Windows95/NT
#environment system. 

Do you mean put in a command that doesn't exist, or just doesn't exist within
Cygwin32? It is perhaps possible that the misspelt command is actually a 
valid Windoze one, and it is *this* command that is hanging?

I'm running v19.1 with Sergey's CYGWIN.DLL on v4.00.950B Windows95, and
I used the following session:
 BASH.EXE-2.01$ zoggo
 BASH.EXE: zoggo: command not found
 BASH.EXE-2.01$ pootle
 BASH.EXE: pootle: command not found
 BASH.EXE-2.01$ ds
 BASH.EXE: ds: command not found
 BASH.EXE-2.01$ wibble
 BASH.EXE: wibble: command not found
 BASH.EXE-2.01$ kludge
 BASH.EXE: kludge: command not found
 BASH.EXE-2.01$ gazonga
 BASH.EXE: gazonga: command not found
 BASH.EXE-2.01$ boobley
 BASH.EXE: boobley: command not found
 BASH.EXE-2.01$ billgates
 BASH.EXE: billgates: command not found
 BASH.EXE-2.01$
As you can see, no lock up.  Could you give an example of the kinds of 
misspellings that cause the
system to hang? As you will appreciate, the first step in fixing the problem 
would be to get the developers
able to duplicate the problem - otherwise they're just poking around in the 
dark.

The other point is - are you sure of the validity of your installation?

# This may not happen to all, though I do think it
#does. This is a MUST fix, or it's useless to use it, as not all of us
#can be the most perfect of spellers all the time.
Is this WAS the case, then the mailing list would be full of 
complaints/comments. It isn't, therefore this 'problem' 
isn't as widespread as you appear to be suggesting. As to not being the most 
perfect of spellers, point
out someone who is ;-)

Bob Cross.
"If knowledge is power, how come most politicians are so DUMB!"

--Boundary_(ID_c89OHaCWdv+TEWMJt07r+g)--
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".